Installer les drivers de Canon MP490 à partir de paquets théoriquement incompatibles

L’autre jour, j’ai voulu installer mon imprimante Canon MP490. Je me suis donc rendu sur le site du constructeur et j’ai récupéré les drivers Linux. Malheureusement, les drivers qui sont disponibles sont compatibles i386 et aucun n’est disponible pour architecture amd64. Deuxième point problématique, ces drivers requièrent des dépendances qui ne sont pas satisfaites sur ma distribution.

Plutôt que de mettre à jour toutes les librairies une à une, j’ai choisi une solution, certes hasardeuse et pas des plus propres, mais qui en l’occurrence a fait ses preuves.

J’ai commencé par décompresser l’archive cnijfilter-mp490series-3.20-1-i386-deb.tar.gz puis je me suis rendu dans le dossier packages que l’on vient d’extraire.

Je me suis basé sur ce post que j’ai trouvé et j’ai appliqué les commandes suivantes à chacun des deux paquets :

dpkg -x [package].deb common
dpkg --control [package].deb
nano DEBIAN/control
#On enlève purement et simplement la ligne "Dependencies"
cp -a DEBIAN/ common/
dpkb -b common [package].deb
rm -rf DEBIAN/ common/

Une fois cette étape faite, il m’a resté à exécuter le script install.sh en temps que root pour installer les pilotes.

Un problème restait cependant après l’installation de l’imprimante. L’imprimante me marquait une erreur de cups insecure filter. Le problème était juste un problème de propriété et il suffisait de faire un chown et un chgrp à root des fichiers qui ne l’étaient pas dans les dossiers :

/usr/lib/cups/filter/
/usr/lib/cups/backend/

Certes ce n’est pas la méthode la plus propre mais elle a l’avantage de marcher. L’imprimante est maintenant reconnue tant pour imprimer que pour scanner.

Laisser un commentaire